Upgrade phpMyAdmin to latest version 4.5.5 on Linux

phpMyAdmin is a free opensource software which helps user to manage/administrate of MySQL database in Web which was writen in PHP. It supports wide range of operations on MySQL, MariaDB. Frequently used operations (managing databases, tables, columns, relations, indexes, users, permissions, etc) can be performed via the user interface. The latest version of phpMyAdmin 4.5.5 released on February 22, 2016.

phpMyAdmin Features

  • Web based Interface
  • Most of MySQL features are supported
  • Browse/create/modify/Drop databases, tables
  • Execute & Edit SOL-statement
  • Manage MySQL users and privileges
  • Manage stored procedures and triggers
  • Import/Export data from CSV and SQL
  • Export data to various formats such as CSV, SQL, XML, PDF, etc,..
  • Administering multiple servers
  • For more details about Features, visit phpMyAdmin official Features page

1) Check Current phpMyAdmin Version

See the below screen shots, it was clearly shows I’m using older version of phpMyAdmin 3.4.11
install-lamp-linux-apache-mysql-php-phpmyadmin-in-centos-image-4

2) Download Latest version of phpMyAdmin

Use the below command to download the latest version of phpMyAdmin into /opt or /usr/src directory

# wget https://files.phpmyadmin.net/phpMyAdmin/4.5.5/phpMyAdmin-4.5.5-all-languages.zip
# unzip phpMyAdmin-4.5.5-all-languages.zip

About Magesh Maruthamuthu

Love to play with all Linux distribution

View all posts by Magesh Maruthamuthu

6 Comments on “Upgrade phpMyAdmin to latest version 4.5.5 on Linux”

  1. First of all thank you so much for you for this document, its works for me I have updated phpMyAdmin Version information: 4.4.15.1 to Version information: 4.6.3 .

    But I got 2 error
    1. mysqli_real_connect(): Headers and client library minor version mismatch. Headers:50547 Library:50632
    2. The configuration file now needs a secret passphrase (blowfish_secret).

    Any Suggestion ?

  2. I was looking to change session logout time of my phpmyadmin and found urs helpful for needed solution and to upgrade my phpmyadmin. Thanks a lot.

Leave a Reply

Your email address will not be published. Required fields are marked *